%global prerelease pre1

Name:		cmyktool
Version:	0.1.6
Release:	0.12.%{prerelease}%{?dist}
Summary:	GUI utility to manage color profiles & convert from RGB to CMYK

License:	GPLv3
URL:			http://www.blackfiveimaging.co.uk/index.php?article=02Software/05CMYKTool
Source0:	http://www.blackfiveimaging.co.uk/cmyktool/%{name}-0.1.6-pre1.tar.gz
# FTBFS with C++11 or C++14, reported upstream via form on website.
Patch0:         cmyktool-1.16-cxx11.patch

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	libtiff-devel
BuildRequires:	libjpeg-turbo-devel

%description
CMYKTool is a graphical utility that converts images from ICC profile to 
another, converts images from RGB to CMYK with a number of configuration options 
for the conversion, provides an interface for inspecting image channels, 
provides a 'soft proof' mode to preview how an image would look if it was 
printed, saves images to JPEG or TIFF (8- or 16-bit) with embedded profiles if 
desired. This tool is extremely useful for designers who prepare artwork for 
professional printing.

%prep
%setup -n cmyktool-0.1.6-pre1 -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/cmyktool
%{_datadir}/applications/cmyktool.desktop
%{_datadir}/icons/hicolor/48x48/apps/cmyktool.png


%doc COPYING NEWS README

%changelog
* Fri Feb 12 2016 Jonathan Wakely <jwakely@redhat.com> - 0.1.6-0.12.
- Patched for C++11 compatibility

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-0.11.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.10.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.6-0.9.pre1
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.8.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.7.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.6.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.5.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 0.1.6-0.4.pre1
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.1.6-0.3.pre1
- rebuild against new libjpeg

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-0.2.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Máirín Duffy <duffy@redhat.com> - 0.1.6-0.1.pre1
- Initial version of the package

